# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2018-12-20 09:39
from __future__ import unicode_literals

from django.db import migrations


def migrate_data(apps, schema_editor):
    Profile = apps.get_model('djangoldp_profile', 'Profile')
    ChatConfig = apps.get_model('djangoldp_account', 'ChatConfig')
    ChatProfile = apps.get_model('djangoldp_account', 'ChatProfile')
    Account = apps.get_model('djangoldp_account', 'Account')
    for profile in Profile.objects.all():
        account = Account()
        account.user = profile.user
        account.picture = profile.picture
        account.save()
        chat_config = ChatConfig()
        chat_config.jabberID = profile.jabberID
        chat_config.jabberRoom = False
        chat_config.save()
        chat_profile = ChatProfile()
        chat_profile.user = profile.user
        chat_profile.config = chat_config
        chat_profile.save()


class Migration(migrations.Migration):

    dependencies = [
        ('djangoldp_profile', '0002_auto_20181218_1208'),
        ('djangoldp_account', '0001_initial'),
    ]

    operations = [
        migrations.RunPython(migrate_data),
        migrations.RemoveField(
            model_name='profile',
            name='jabberID',
        ),
        migrations.RemoveField(
            model_name='profile',
            name='jabberRoom',
        ),
        migrations.RemoveField(
            model_name='profile',
            name='picture',
        ),
    ]
